Create a fund-level redemption distribution
POST
/portfolio/transactions/distributions/fund/redemptionReturns capital at the fund level by redeeming units from a fund asset, without targeting specific investors.
Request body
application/json, required · PortfolioCreateFundDistributionRedemptionRequest
{
"asset_id": 1,
"investor_id": 1,
"settlement_date": "2026-06-12T10:00:00+00:00",
"total_units": 1,
"price_per_unit": 1,
"gross_value": 1,
"currency": "string",
"description": "string",
"investment_type": "cash",
"tax": 1,
"capital_return": 1,
"capital_gains": 1
}Responses
200
201422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/distributions/fund/redemption\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"asset_id": 1,
"investor_id": 1,
"settlement_date": "2026-06-12T10:00:00+00:00",
"total_units": 1,
"price_per_unit": 1,
"gross_value": 1,
"currency": "string",
"description": "string",
"investment_type": "cash",
"tax": 1,
"capital_return": 1,
"capital_gains": 1
}'